/*  File: libUtil.c 
 *
 * Generic utility routines.
 *
 * Rob Ashmore
 * Purdue University
 * October 2000
 */

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include "../include/common.h"
#include "libUtil.h"


void flush_stdout() 
{
  // function name: flush_stdout
  // force buffered data to be written to standard out
  
  fflush(stdout);
  return;
  
} //end function flush_stdout



void flush_stdout_() 
{
  // function name: flush_stdout_
  // force buffered data to be written to standard out

  fflush(stdout);
  return;
  
} //end function flush_stdout_



void get_str(FILE *flptr, char brkchr, char *string)
{
  // function name: get_str
  // Get a string of ascii characters. Allocate any storage necessary
  // here locally. Trash any leading white space found.  Also trash
  // any trailing WS.

  char ans = ' ', *s1;
  
  while(!feof(flptr) && ans==' ')
    ans= fgetc(flptr);         // Eat the white space
  s1= string;
  while(!feof(flptr) && (ans!='\n' && ans!=brkchr)) {
    *(s1++)= ans;
    ans= fgetc(flptr);
  }
  while((*(s1-1)==' ' || *(s1-1)=='\t') && s1 > string)
    s1--;
  *s1= '\0';                   // Terminate the string
  
} // end function get_str
