// robem - Mrm related stuff

/* The names and addresses of things that Mrm.has to bind.  The names do
 * not have to be in alphabetical order.  */

static MrmRegisterArg reglist[] = {
    {"imgconv_create", (caddr_t) imgconv_create},
    {"imgconv_screen_activate", (caddr_t) imgconv_screen_activate},
    {"imgconv_tryit_activate", (caddr_t) imgconv_tryit_activate},
    {"imgconv_file_activate", (caddr_t) imgconv_file_activate},
    {"fft_feedback_activate", (caddr_t) fft_feedback_activate},
    {"paramFileGenerate_activate", (caddr_t) paramFileGenerate_activate},
    {"paramFileRead_activate", (caddr_t) paramFileRead_activate},
    {"autoDefocusRefine_activate", (caddr_t) autoDefocusRefine_activate},
    {"auto2DDefocusRefine_activate", (caddr_t) auto2DDefocusRefine_activate},
    {"rotate_xyz_activate", (caddr_t) rotate_xyz_activate},
    {"impose_changed", (caddr_t) impose_changed},
    {"refine_changed", (caddr_t) refine_changed},
    {"movePhaseOrigin_activate", (caddr_t) movePhaseOrigin_activate},
    {"backSize_changed", (caddr_t) backSize_changed},
    {"fourAver_write_sf", (caddr_t) fourAver_write_sf},
    {"fourAver_resetSfs", (caddr_t) fourAver_resetSfs},
    {"fourAver_manage", (caddr_t) fourAver_manage},
    {"views_activate", (caddr_t) views_activate},
    {"movement_activate", (caddr_t) movement_activate},
    {"symmetry_activate", (caddr_t) symmetry_activate},
    {"paramMode_change", (caddr_t) paramMode_change},
    {"ppMinMax_change", (caddr_t) ppMinMax_change},
    {"ctfValue_change", (caddr_t) ctfValue_change},
    {"icosaClick", (caddr_t) icosaClick},
    {"DrawICOSWindow", (caddr_t) DrawICOSWindow},
    {"unitCell_activate", (caddr_t) unitCell_activate},
    {"plotCavgPP_activate", (caddr_t) plotCavgPP_activate},
    {"xyPlot_activate", (caddr_t) xyPlot_activate},
    {"ico_hist_activate", (caddr_t) ico_hist_activate},
    {"icosWindow_create", (caddr_t) icosWindow_create},
    {"projContour_cr_activate", (caddr_t) projContour_cr_activate},
    {"project_one", (caddr_t) project_one},
    {"projasu_cr_activate", (caddr_t) projasu_cr_activate},
    {"paramScanFile_read_activate", (caddr_t) paramScanFile_read_activate},
    {"paramMapFile_read_activate", (caddr_t) paramMapFile_read_activate},
    {"paramFile_read_activate", (caddr_t) paramFile_read_activate},
    {"paramFile_browse_activate", (caddr_t) paramFile_browse_activate},
    {"text_create", (caddr_t) text_create},
    {"batchparam_list_proc", (caddr_t) batchparam_list_proc},
    {"batchjob_allasu_activate", (caddr_t) batchjob_allasu_activate},
    {"batchjob_submit_activate", (caddr_t) batchjob_submit_activate},
    {"batchjob_activate", (caddr_t) batchjob_activate},
    {"batch_focus", (caddr_t) batch_focus},
    {"projASU_activate", (caddr_t) projASU_activate},
    {"cavgPP_activate", (caddr_t) cavgPP_activate},
    {"manipPP_activate", (caddr_t) manipPP_activate},
    {"partproc_delta_activate", (caddr_t) partproc_delta_activate},
    {"partproc_deltaomega_activate", (caddr_t) partproc_deltaomega_activate},
    {"partproc_rebox_activate", (caddr_t) partproc_rebox_activate},
    {"partproc_proj_activate", (caddr_t) partproc_proj_activate},
    {"partproc_sort_activate", (caddr_t) partproc_sort_activate},
    {"partproc_write_activate", (caddr_t) partproc_write_activate},
    {"partproc_activate", (caddr_t) partproc_activate},
    {"ppMinMax_scroll_change", (caddr_t) ppMinMax_scroll_change},
    {"version_activate", (caddr_t) version_activate},
    {"drawLiteActivate", (caddr_t) drawLiteActivate},
    {"drawFFTLiteActivate", (caddr_t) drawFFTLiteActivate},
    {"main_zoom_activate", (caddr_t) main_zoom_activate},
    {"box_change", (caddr_t) box_change},
    {"fftMeasWrite_activate", (caddr_t) fftMeasWrite_activate},
    {"removeBlemish_activate", (caddr_t) removeBlemish_activate},
    {"fix_activate", (caddr_t) fix_activate},
    {"radTog_change", (caddr_t) radTog_change},
    {"diffSecSave_activate", (caddr_t) diffSecSave_activate},
    {"diffSec_scroll_change", (caddr_t) diffSec_scroll_change},
    {"smMinMax_reset_activate", (caddr_t) smMinMax_reset_activate},
    {"flicker_change", (caddr_t) flicker_change},
    {"subtractMap_2d3d_activate", (caddr_t) subtractMap_2d3d_activate},
    {"subtractMap_diffSection", (caddr_t) subtractMap_diffSection},
    {"subtractMap_flicker_disarm", (caddr_t) subtractMap_flicker_disarm},
    {"subtractMap_flicker_arm", (caddr_t) subtractMap_flicker_arm},
    {"subtractMap_activate", (caddr_t) subtractMap_activate},
    {"subtractMap_cc", (caddr_t) subtractMap_cc},
    {"subtractMap_findRad", (caddr_t) subtractMap_findRad},
    {"subtractMap_findRad_disp", (caddr_t) subtractMap_findRad_disp},
    {"subtractMap_findMag_disp", (caddr_t) subtractMap_findMag_disp},
    {"subtractMap_computeScaling", (caddr_t) subtractMap_computeScaling},
    {"subtractMap_work", (caddr_t) subtractMap_work},
    {"subtractMap_browse_activate", (caddr_t) subtractMap_browse_activate},
    {"calcSF_activate", (caddr_t) calcSF_activate},
    {"rescale_activate", (caddr_t) rescale_activate},
    {"invert_activate", (caddr_t) invert_activate},
    {"truncadd_activate", (caddr_t) truncadd_activate},
    {"rotate_activate", (caddr_t) rotate_activate},
    {"rotate_do_activate", (caddr_t) rotate_do_activate},
    {"ref_select_activate", (caddr_t) ref_select_activate},
    {"ref_text_create", (caddr_t) ref_text_create},
    {"crysDisp_contour_activate", (caddr_t) crysDisp_contour_activate},
    {"movie_contour_state", (caddr_t) movie_contour_state},
    {"movie_contour_activate", (caddr_t) movie_contour_activate},
    {"ctf_appodize_activate", (caddr_t) ctf_appodize_activate},
    {"ctf_reset_activate", (caddr_t) ctf_reset_activate},
    {"ctf_ioparms_activate", (caddr_t) ctf_ioparms_activate},
    {"ctfCurve_cr_activate", (caddr_t) ctfCurve_cr_activate},
    {"ctfArrowActivate", (caddr_t) ctfArrowActivate},
    {"fftForm_create", (caddr_t) fftForm_create},
    {"auto2DDR_curves_activate",(caddr_t)auto2DDR_curves_activate},
    {"auto2DDR_ctflines_activate",(caddr_t)auto2DDR_ctflines_activate},
    {"auto2DDR_scurve_activate",(caddr_t)auto2DDR_scurve_activate},
    {"auto2DDR_drawmodified_activate",(caddr_t)auto2DDR_drawmodified_activate},
    {"auto2DDR_update_activate", (caddr_t) auto2DDR_update_activate},
    {"auto2DDR_activate", (caddr_t) auto2DDR_activate},
    {"mb_scroll_change", (caddr_t) mb_scroll_change},
    {"model_clear_activate", (caddr_t) model_clear_activate},
    {"model_undo_activate", (caddr_t) model_undo_activate},
    {"model_save_activate", (caddr_t) model_save_activate},
    {"modelObject_change", (caddr_t) modelObject_change},
    {"fft_flicker_activate", (caddr_t) fft_flicker_activate},
    {"fft_mode_activate", (caddr_t) fft_mode_activate},
    {"fixit_activate", (caddr_t) fixit_activate},
    {"fixit_create", (caddr_t) fixit_create},
    {"fixit_changed", (caddr_t) fixit_changed},
    {"reverse_sections", (caddr_t) reverse_sections},
    {"unblob_save_activate", (caddr_t) unblob_save_activate},
    {"unblob_reset_activate", (caddr_t) unblob_reset_activate},
    {"unblob_tryit_activate", (caddr_t) unblob_tryit_activate},
    {"unblob_scroll_change", (caddr_t) unblob_scroll_change},
    {"unblob_screen_activate", (caddr_t) unblob_screen_activate},
    {"unblob_create_label", (caddr_t) unblob_create_label},
    {"unblob_create", (caddr_t) unblob_create},
    {"unblob_text_change", (caddr_t) unblob_text_change},
    {"linGrad_activate", (caddr_t) linGrad_activate},
    {"binning_screen_activate", (caddr_t) binning_screen_activate},
    {"binning_activate", (caddr_t) binning_activate},
    {"interp_screen_activate", (caddr_t) interp_screen_activate},
    {"model_screen_activate", (caddr_t) model_screen_activate},
    {"model_activate", (caddr_t) model_activate},
    {"addAverage_activate", (caddr_t) addAverage_activate},
    {"fourierFilt_activate", (caddr_t) fourierFilt_activate},
    {"fourierFilt_work", (caddr_t) fourierFilt_work},
    {"checkBkg_activate", (caddr_t) checkBkg_activate},
    {"normalize_activate", (caddr_t) normalize_activate},
    {"normalize_activate_2", (caddr_t) normalize_activate_2},
    {"foldAxis_activate", (caddr_t) foldAxis_activate},
    {"coravg_scroll_change", (caddr_t) coravg_scroll_change},
    {"emcoravg_text_changed", (caddr_t) emcoravg_text_changed},
    {"DrawEmcoravgWindow", (caddr_t) DrawEmcoravgWindow},
    {"emcoravg_create", (caddr_t) emcoravg_create},
    {"emcoravg_file_activate", (caddr_t) emcoravg_file_activate},
    {"emcoravg_save_activate", (caddr_t) emcoravg_save_activate},
    {"emcoravg_tryit_activate", (caddr_t) emcoravg_tryit_activate},
    {"emcoravg_screen_activate", (caddr_t) emcoravg_screen_activate},
    {"cDisp_newAdimBdim_changed", (caddr_t) cDisp_newAdimBdim_changed},
    {"mainCdisp_zoom_activate", (caddr_t) mainCdisp_zoom_activate},
    {"cDispSymm_changed", (caddr_t) cDispSymm_changed},
    {"crysDisp_reset_activate", (caddr_t) crysDisp_reset_activate},
    {"crysDisp_scroll_change", (caddr_t) crysDisp_scroll_change},
    {"crystalDisp_changed", (caddr_t) crystalDisp_changed},
    {"crysDisp_screen_activate", (caddr_t) crysDisp_screen_activate},
    {"crysDisp_tryit_activate", (caddr_t) crysDisp_tryit_activate},
    {"crysDisp_create", (caddr_t) crysDisp_create},
    {"rotflt_arrow_activate", (caddr_t) rotflt_arrow_activate},
    {"rotflt_change", (caddr_t) rotflt_change},
    {"rotflt_tryit_activate", (caddr_t) rotflt_tryit_activate},
    {"rotflt_forceTryit_activate", (caddr_t) rotflt_forceTryit_activate},
    {"scaleText_changed", (caddr_t) scaleText_changed},
    {"DrawROTFLTWindow", (caddr_t) DrawROTFLTWindow},
    {"rotfltClick", (caddr_t) rotfltClick},
    {"rotflt_write_activate", (caddr_t) rotflt_write_activate},
    {"rotflt_create", (caddr_t) rotflt_create},
    {"rotflt_screen_activate", (caddr_t) rotflt_screen_activate},
    {"fft_average_activate", (caddr_t) fft_average_activate},
    {"fourAver_work", (caddr_t) fourAver_work},
    {"latReset_activate", (caddr_t) latReset_activate},
    {"samRenArrowActivate", (caddr_t) samRenArrowActivate},
    {"fftArrowActivate", (caddr_t) fftArrowActivate},
    {"contourWindow_create", (caddr_t) contourWindow_create},
    {"ctfText_changed", (caddr_t) ctfText_changed},
    {"latText_changed", (caddr_t) latText_changed},
    {"latText_create", (caddr_t) latText_create},
    {"fft_1DCA_activate", (caddr_t) fft_1DCA_activate},
    {"fft_create", (caddr_t) fft_create},
    {"fft_change", (caddr_t) fft_change},
    {"fft_change_toggle", (caddr_t) fft_change_toggle},
    {"fft_activate", (caddr_t) fft_activate},
    {"read_fftbuffer_activate", (caddr_t) read_fftbuffer_activate},
    {"fft_writeFB_activate", (caddr_t) fft_writeFB_activate},
    {"flickArrow_create", (caddr_t) flickArrow_create},
    {"flickArrowActivate", (caddr_t) flickArrowActivate},
    {"movieArrow_create", (caddr_t) movieArrow_create},
    {"mapMovieArrowActivate", (caddr_t) mapMovieArrowActivate},
    {"circAvg_screen_activate", (caddr_t) circAvg_screen_activate},
    {"DrawFFTWindow", (caddr_t) DrawFFTWindow},
    {"movieMinMax_change", (caddr_t) movieMinMax_change},
    {"stepMode_create", (caddr_t) stepMode_create},
    {"stepMode_change", (caddr_t) stepMode_change},
    {"stepMode_button_change", (caddr_t) stepMode_button_change},
    {"label_create", (caddr_t) label_create},
    {"surfDensScroll_create", (caddr_t) surfDensScroll_create},
    {"stats_activate", (caddr_t) stats_activate},
    {"mapShadeScreen_activate", (caddr_t) mapShadeScreen_activate},
    {"subMapShadeScreen_activate", (caddr_t) subMapShadeScreen_activate},
    {"angleText_create", (caddr_t) angleText_create},
    {"surfDensValueChange", (caddr_t) surfDensValueChange},
    {"surfDensScrollChange", (caddr_t) surfDensScrollChange},
    {"surfDensValue_create", (caddr_t) surfDensValue_create},
    {"tryThis_activate", (caddr_t) tryThis_activate},
    {"setFont_create", (caddr_t) setFont_create},
    {"mapShade_activate", (caddr_t) mapShade_activate},
    {"mapMovie_activate", (caddr_t) mapMovie_activate},
    {"mapMovie_show_activate", (caddr_t) mapMovie_show_activate},
    {"editBoxZoomText_changed", (caddr_t) editBoxZoomText_changed},
    {"editBox_save_activate", (caddr_t) editBox_save_activate},
    {"editBox_undo_activate", (caddr_t) editBox_undo_activate},
    {"help_screen_activate", (caddr_t) help_screen_activate},
    {"context_help_screen_activate", (caddr_t) context_help_screen_activate},
    {"editBoxForm_create", (caddr_t) editBoxForm_create},
    {"editBoxPaintText_changed", (caddr_t) editBoxPaintText_changed},
    {"editBoxText_create", (caddr_t) editBoxText_create},
    {"editBoxZoomArrowActivate", (caddr_t) editBoxZoomArrowActivate},
    {"editBoxText_changed", (caddr_t) editBoxText_changed},
    {"editBoxClick", (caddr_t) editBoxClick},
    {"DrawEditBoxWindow", (caddr_t) DrawEditBoxWindow},
    {"dispMode_change", (caddr_t) dispMode_change},
    {"circAvgMotion", (caddr_t) circAvgMotion},
    {"colormapMotion", (caddr_t) colormapMotion},
    {"generic_ArrowActivate", (caddr_t) generic_ArrowActivate},
    {"imgNumActivate", (caddr_t) imgNumActivate},
    {"boxInitActivate", (caddr_t) boxInitActivate},
    {"radiusText_create", (caddr_t) radiusText_create},
    {"imgNumText_changed", (caddr_t) imgNumText_changed},
    {"imgNumText_create", (caddr_t) imgNumText_create},
    {"boxMode_change", (caddr_t) boxMode_change},
    {"options_activate", (caddr_t) options_activate},
    {"plotScroll_create", (caddr_t) plotScroll_create},
    {"fftClick", (caddr_t) fftClick},
    {"plotClick", (caddr_t) plotClick},
    {"toolMode_change", (caddr_t) toolMode_change},
    {"formResize", (caddr_t) formResize},
    {"plotHorizChange", (caddr_t) plotHorizChange},
    {"plotVertChange", (caddr_t) plotVertChange},
    {"toggle_change", (caddr_t) toggle_change},
    {"tog_create", (caddr_t) tog_create},
    {"lock_create", (caddr_t) lock_create},
    {"drawingWindow_create", (caddr_t) drawingWindow_create},
    {"colormap_activate", (caddr_t) colormap_activate},
    {"DrawWindowExpose", (caddr_t) DrawWindowExpose},
    {"read_activate", (caddr_t) read_activate},
    {"write_activate", (caddr_t) write_activate},
    {"exit_activate", (caddr_t) exit_activate},
    {"editBox_activate", (caddr_t) editBox_activate},
    {"histogram_activate", (caddr_t) histogram_activate},
    {"plotWindow_create", (caddr_t) plotWindow_create},
    {"generic_deactivate", (caddr_t) generic_deactivate},
    {"mapshade_deactivate", (caddr_t) mapshade_deactivate},
    {"simple_deactivate", (caddr_t) simple_deactivate},
    {"drawCenterMarker", (caddr_t) drawCenterMarker}
};

static int reglist_num = (sizeof reglist / sizeof reglist [0]);
